Class Index | File Index

## Classes

- _global_
- Dygraph
- DygraphCanvasRenderer
- DygraphInteraction
- DygraphLayout
- DygraphOptions
- grid
- GVizChart
- GVizDataTable

## Methods

- DygraphInteraction.endZoom
- DygraphInteraction.maybeTreatMouseOpAsClick
- DygraphInteraction.movePan
- DygraphInteraction.moveZoom
- DygraphInteraction.startPan
- DygraphInteraction.startZoom
- DygraphInteraction.treatMouseOpAsClick

## Fields

- DygraphInteraction.defaultModel
- DygraphInteraction.endPan

# Class DygraphInteraction

Defined in: dygraph-interaction-model.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DygraphInteraction() A collection of functions to facilitate build custom interaction models.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | DygraphInteraction.defaultModel Default interation model for dygraphs.
<static> | DygraphInteraction.endPan Called in response to an interaction model operation that responds to an event that ends panning.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | DygraphInteraction.endZoom(event, g, context) Called in response to an interaction model operation that responds to an event that performs a zoom based on previously defined bounds.
<static> | DygraphInteraction.maybeTreatMouseOpAsClick(event, g, context) Checks whether the beginning & ending of an event were close enough that it should be considered a click.
<static> | DygraphInteraction.movePan(event, g, context) Called in response to an interaction model operation that responds to an event that pans the view.
<static> | DygraphInteraction.moveZoom(event, g, context) Called in response to an interaction model operation that responds to an event that defines zoom boundaries.
<static> | DygraphInteraction.startPan(event, g, context) Called in response to an interaction model operation that should start the default panning behavior.
<static> | DygraphInteraction.startZoom(event, g, context) Called in response to an interaction model operation that responds to an event that starts zooming.
<static> | DygraphInteraction.treatMouseOpAsClick(g, event, context) TODO(danvk): move this logic into dygraph.js

Class Detail
DygraphInteraction()
A collection of functions to facilitate build custom interaction models.
Field Detail
<static> DygraphInteraction.defaultModel
Default interation model for dygraphs. You can refer to specific elements of this when constructing your own interaction model, e.g.: g.updateOptions( { interactionModel: { mousedown: DygraphInteraction.defaultInteractionModel.mousedown } } );

<static> DygraphInteraction.endPan
Called in response to an interaction model operation that responds to an event that ends panning. It's used in the default callback for "mouseup" operations. Custom interaction model builders can use it to provide the default panning behavior.
Method Detail
<static> DygraphInteraction.endZoom(event, g, context)
Called in response to an interaction model operation that responds to an event that performs a zoom based on previously defined bounds.. It's used in the default callback for "mouseup" operations. Custom interaction model builders can use it to provide the default zooming behavior.

Parameters:
{Event} event
  the event object which led to the endZoom call.
{Dygraph} g
  The dygraph on which to end the zoom.
{Object} context
  The dragging context object (with dragStartX/dragStartY/etc. properties). This function modifies the context.

<static> DygraphInteraction.maybeTreatMouseOpAsClick(event, g, context)
Checks whether the beginning & ending of an event were close enough that it should be considered a click. If it should, dispatch appropriate events. Returns true if the event was treated as a click.

Parameters:
{Event} event
{Dygraph} g
{Object} context

<static> DygraphInteraction.movePan(event, g, context)
Called in response to an interaction model operation that responds to an event that pans the view. It's used in the default callback for "mousemove" operations. Custom interaction model builders can use it to provide the default panning behavior.

Parameters:
{Event} event
  the event object which led to the movePan call.
{Dygraph} g
  The dygraph on which to act.
{Object} context
  The dragging context object (with dragStartX/dragStartY/etc. properties). This function modifies the context.

<static> DygraphInteraction.moveZoom(event, g, context)
Called in response to an interaction model operation that responds to an event that defines zoom boundaries. It's used in the default callback for "mousemove" operations. Custom interaction model builders can use it to provide the default zooming behavior.

Parameters:
{Event} event
  the event object which led to the moveZoom call.
{Dygraph} g
  The dygraph on which to act.
{Object} context
  The dragging context object (with dragStartX/dragStartY/etc. properties). This function modifies the context.

<static> DygraphInteraction.startPan(event, g, context)
Called in response to an interaction model operation that should start the default panning behavior. It's used in the default callback for "mousedown" operations. Custom interaction model builders can use it to provide the default panning behavior.

Parameters:
{Event} event
  the event object which led to the startPan call.
{Dygraph} g
  The dygraph on which to act.
{Object} context
  The dragging context object (with dragStartX/dragStartY/etc. properties). This function modifies the context.

<static> DygraphInteraction.startZoom(event, g, context)
Called in response to an interaction model operation that responds to an event that starts zooming. It's used in the default callback for "mousedown" operations. Custom interaction model builders can use it to provide the default zooming behavior.

Parameters:
{Event} event
  the event object which led to the startZoom call.
{Dygraph} g
  The dygraph on which to act.
{Object} context
  The dragging context object (with dragStartX/dragStartY/etc. properties). This function modifies the context.

<static> DygraphInteraction.treatMouseOpAsClick(g, event, context)
TODO(danvk): move this logic into dygraph.js

Parameters:
{Dygraph} g
{Event} event
{Object} context

Documentation generated by JsDoc Toolkit 2.4.0 for dygraph 2.2.1 (Debian 2.2.1-4build1)